BasicSearchCellRenderer

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.help.plaf.basic
Class BasicSearchCellRenderer

    java.lang.Object
      |
      +--java.awt.Component
            |
            +--java.awt.Container
                  |
                  +--javax.swing.JComponent
                        |
                        +--javax.swing.JPanel
                              |
                              +--javax.help.plaf.basic.BasicSearchCellRenderer

All Implemented Interfaces:
  javax.accessibility.Accessible, java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, javax.swing.tree.TreeCellRenderer

public class BasicSearchCellRenderer
extends javax.swing.JPanel
implements javax.swing.tree.TreeCellRenderer

Displays an search entry in a tree.

See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class javax.swing.JComponent
`javax.swing.JComponent.AccessibleJComponent`

Field Summary

Fields inherited from class javax.swing.JComponent
`TOOL_TIP_TEXT_KEY, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`BasicSearchCellRenderer(Map map)` Returns a new instance of BasicSearchCellRender.

Method Summary
`java.awt.Color` | `getBackgroundNonSelectionColor()` Returns the background color to be used for unselected nodes.
`java.awt.Color` | `getBackgroundSelectionColor()` Returns the color to use for the background if the node is selected.
`java.awt.Color` | `getBorderSelectionColor()` Returns the the border color.
`java.awt.Dimension` | `getPreferredSize()` Overrides `JComponent.getPreferredSize` to return slightly taller preferred size value.
`java.awt.Color` | `getTextNonSelectionColor()` Returns the color the text is drawn with when the node is not selected.
`java.awt.Color` | `getTextSelectionColor()` Returns the color the text is drawn with when the node is selected.
`java.awt.Component` | `getTreeCellRendererComponent(javax.swing.JTree tree, java.lang.Object value, boolean sel, boolean expanded, boolean leaf, int row, boolean hasFocus)` Configures the renderer based on the components passed in.
`void` | `paint(java.awt.Graphics g)` Paints the value.
`void` | `setBackground(java.awt.Color color)` Subclassed to only accept the color if it is not a ColorUIResource.
`void` | `setBackgroundNonSelectionColor(java.awt.Color newColor)` Sets the background color to be used for unselected nodes.
`void` | `setBackgroundSelectionColor(java.awt.Color newColor)` Sets the color to use for the background if the node is selected.
`void` | `setBorderSelectionColor(java.awt.Color newColor)` Sets the color to use for the border.
`void` | `setFont(java.awt.Font font)` Subclassed to only accept the font if it is not a FontUIResource.
`void` | `setTextNonSelectionColor(java.awt.Color newColor)` Sets the color the text is drawn with when the node is not selected.
`void` | `setTextSelectionColor(java.awt.Color newColor)` Sets the color the text is drawn with when the node is selected.

Methods inherited from class javax.swing.JPanel
`getAccessibleContext, getUI, getUIClassID, setUI, updateUI`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBorder, getBounds, getClientProperty, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getGraphics, getHeight, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPropertyChangeListeners, getPropertyChangeListeners, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isOptimizedDrawingEnabled, isPaintingTile, isPreferredSizeSet, isRequestFocusEnabled, isValidateRoot, paintImmediately, paintImmediately, print, printAll, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBorder, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setForeground, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, remove, remove, removeAll, removeContainerListener, setFocusCycleRoot, setFocusTraversalKeys, setFocusTraversalPolicy, setLayout, transferFocusBackward, transferFocusDownCycle, validate`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, contains, createImage, createImage, createVolatileImage, createVolatileImage, dispatchEvent, enable, enableInputMethods, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMouseWheelListeners, getName, getParent, getPeer, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BasicSearchCellRenderer

    public BasicSearchCellRenderer(Map map)

  Returns a new instance of BasicSearchCellRender. Left alignment is set. Icons and text color are determined from the UIManager.

Method Detail

### setTextSelectionColor

    public void setTextSelectionColor(java.awt.Color newColor)

  Sets the color the text is drawn with when the node is selected.

### getTextSelectionColor

    public java.awt.Color getTextSelectionColor()

  Returns the color the text is drawn with when the node is selected.

### setTextNonSelectionColor

    public void setTextNonSelectionColor(java.awt.Color newColor)

  Sets the color the text is drawn with when the node is not selected.

### getTextNonSelectionColor

    public java.awt.Color getTextNonSelectionColor()

  Returns the color the text is drawn with when the node is not selected.

### setBackgroundSelectionColor

    public void setBackgroundSelectionColor(java.awt.Color newColor)

  Sets the color to use for the background if the node is selected.

### getBackgroundSelectionColor

    public java.awt.Color getBackgroundSelectionColor()

  Returns the color to use for the background if the node is selected.

### setBackgroundNonSelectionColor

    public void setBackgroundNonSelectionColor(java.awt.Color newColor)

  Sets the background color to be used for unselected nodes.

### getBackgroundNonSelectionColor

    public java.awt.Color getBackgroundNonSelectionColor()

  Returns the background color to be used for unselected nodes.

### setBorderSelectionColor

    public void setBorderSelectionColor(java.awt.Color newColor)

  Sets the color to use for the border.

### getBorderSelectionColor

    public java.awt.Color getBorderSelectionColor()

  Returns the the border color.

### setFont

    public void setFont(java.awt.Font font)

  Subclassed to only accept the font if it is not a FontUIResource.

  Overrides:
    `setFont` in class `javax.swing.JComponent`

### setBackground

    public void setBackground(java.awt.Color color)

  Subclassed to only accept the color if it is not a ColorUIResource.

  Overrides:
    `setBackground` in class `javax.swing.JComponent`

### getTreeCellRendererComponent

    public java.awt.Component getTreeCellRendererComponent(javax.swing.JTree tree,
                                                           java.lang.Object value,
                                                           boolean sel,
                                                           boolean expanded,
                                                           boolean leaf,
                                                           int row,
                                                           boolean hasFocus)

  Configures the renderer based on the components passed in. Sets the value from messaging value with toString(). The foreground color is set based on the selection and the icon is set based on on leaf and expanded.

  Specified by:
    `getTreeCellRendererComponent` in interface `javax.swing.tree.TreeCellRenderer`

### paint

    public void paint(java.awt.Graphics g)

  Paints the value. The background is filled based on selected color.

  Overrides:
    `paint` in class `javax.swing.JComponent`

### getPreferredSize

    public java.awt.Dimension getPreferredSize()

  Overrides `JComponent.getPreferredSize` to return slightly taller preferred size value.

  Overrides:
    `getPreferredSize` in class `javax.swing.JComponent`

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD